Name:          python-libvirt
Version:       7.9.0
Release:       1mamba
Summary:       Python binding to the libvirt.so, libvirt-qemu.so and libvirt-lxc.so library APIs.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libvirt.org/python.html
Source:        https://libvirt.org/sources/python/libvirt-python-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython3-devel
BuildRequires: libvirt-devel
## AUTOBUILDREQ-END
BuildRequires: libvirt-devel >= %{version}
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n libvirt-python-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LESSER

%changelog
* Wed Nov 03 2021 Automatic Build System <autodist@mambasoft.it> 7.9.0-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 7.8.0-1mamba
- automatic version update by autodist

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 7.7.0-1mamba
- automatic version update by autodist

* Wed Aug 18 2021 Automatic Build System <autodist@mambasoft.it> 7.6.0-1mamba
- automatic version update by autodist

* Tue Jul 06 2021 Automatic Build System <autodist@mambasoft.it> 7.5.0-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 7.4.0-1mamba
- automatic version update by autodist

* Wed May 05 2021 Automatic Build System <autodist@mambasoft.it> 7.3.0-1mamba
- automatic version update by autodist

* Mon Apr 05 2021 Automatic Build System <autodist@mambasoft.it> 7.2.0-1mamba
- automatic version update by autodist

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Sat Jan 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.10.0-1mamba
- update to 6.10.0

* Thu Dec 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.0-1mamba
- update to 5.10.0

* Fri Mar 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.0-1mamba
- update to 5.1.0

* Wed Nov 22 2017 Automatic Build System <autodist@mambasoft.it> 3.9.0-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic update by autodist

* Wed Dec 30 2015 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 1.2.9-1mamba
- automatic update by autodist

* Sat Aug 23 2014 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic update by autodist

* Fri Jul 11 2014 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic update by autodist

* Mon Apr 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1mamba
- update to 1.2.3

* Tue Dec 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
